%{?mingw_package_header}

Name: mingw-gtk-vnc
Version: 1.0.0
Release: %mkrel 3
Summary: MinGW Windows port of VNC client GTK widget

License: LGPLv2+
Group: Development/Other
Source: https://download.gnome.org/sources/gtk-vnc/1.0/gtk-vnc-%{version}.tar.xz
URL: https://wiki.gnome.org/Projects/gtk-vnc

BuildArch: noarch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw32-gcc
BuildRequires: mingw64-gcc
BuildRequires: mingw32-binutils
BuildRequires: mingw64-binutils

BuildRequires: mingw32-cairo
BuildRequires: mingw64-cairo
BuildRequires: mingw32-gettext
BuildRequires: mingw64-gettext
BuildRequires: mingw32-libgcrypt
BuildRequires: mingw64-libgcrypt
BuildRequires: mingw32-gnutls
BuildRequires: mingw64-gnutls
BuildRequires: mingw32-gtk3
BuildRequires: mingw64-gtk3

BuildRequires: pkgconfig
BuildRequires: meson
BuildRequires: gcc
BuildRequires: gettext

BuildRequires: perl

%description
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

# Mingw32
%package -n mingw32-gvnc
Summary: MinGW Windows port of VNC GObject

# ease upgrade mga7->mga8
Conflicts: mingw32-gtk-vnc < 0.9.0-2

%package -n mingw32-gvnc-tools
Summary: Command line VNC tools

%package -n mingw32-gtk-vnc2
Summary: A GTK3 widget for VNC clients
Requires: pkgconfig
Obsoletes: mingw32-gtk-vnc

%description -n mingw32-gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%description -n mingw32-gvnc-tools
Provides useful command line utilities for interacting with
VNC servers. Includes the gvnccapture program for capturing
screenshots of a VNC desktop

%description -n mingw32-gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

# Mingw64
%package -n mingw64-gvnc
Summary: MinGW Windows port of VNC GObject

# ease upgrade mga7->mga8
Conflicts: mingw64-gtk-vnc < 0.9.0-2

%package -n mingw64-gvnc-tools
Summary: Command line VNC tools

%package -n mingw64-gtk-vnc2
Summary: A GTK3 widget for VNC clients
Requires: pkgconfig
Obsoletes: mingw64-gtk-vnc

%description -n mingw64-gvnc
gvnc is a GObject for managing a VNC connection. It provides all the
infrastructure required to build a VNC client without having to deal
with the raw protocol itself.

%description -n mingw64-gvnc-tools
Provides useful command line utilities for interacting with
VNC servers. Includes the gvnccapture program for capturing
screenshots of a VNC desktop

%description -n mingw64-gtk-vnc2
gtk-vnc is a VNC viewer widget for GTK. It is built using coroutines
allowing it to be completely asynchronous while remaining single threaded.

%{?mingw_debug_package}


%prep
%autosetup -n gtk-vnc-%{version}


%build
%mingw_meson
%mingw_ninja


%install
export DESTDIR=%{buildroot}
%mingw_ninja install

rm -f $RPM_BUILD_ROOT%{mingw32_mandir}/man1/gvnccapture.1*
rm -f $RPM_BUILD_ROOT%{mingw64_mandir}/man1/gvnccapture.1*

%mingw_find_lang gtk-vnc


# Mingw32
%files -n mingw32-gvnc -f gtk-vnc.lang
%doc AUTHORS
%doc ChangeLog
%doc ChangeLog-old
%doc NEWS
%doc README
%doc COPYING.LIB
%{mingw32_bindir}/libgvnc-1.0-0.dll
%{mingw32_libdir}/libgvnc-1.0.dll.a
%{mingw32_libdir}/pkgconfig/gvnc-1.0.pc
%{mingw32_includedir}/gvnc-1.0

%files -n mingw32-gtk-vnc2
%{mingw32_bindir}/libgtk-vnc-2.0-0.dll
%{mingw32_libdir}/libgtk-vnc-2.0.dll.a
%{mingw32_libdir}/pkgconfig/gtk-vnc-2.0.pc
%{mingw32_includedir}/gtk-vnc-2.0

%files -n mingw32-gvnc-tools
%{mingw32_bindir}/gvnccapture.exe

# Mingw64
%files -n mingw64-gvnc -f gtk-vnc.lang
%doc AUTHORS
%doc ChangeLog
%doc ChangeLog-old
%doc NEWS
%doc README
%doc COPYING.LIB
%{mingw64_bindir}/libgvnc-1.0-0.dll
%{mingw64_libdir}/libgvnc-1.0.dll.a
%{mingw64_libdir}/pkgconfig/gvnc-1.0.pc
%{mingw64_includedir}/gvnc-1.0

%files -n mingw64-gtk-vnc2
%{mingw64_bindir}/libgtk-vnc-2.0-0.dll
%{mingw64_libdir}/libgtk-vnc-2.0.dll.a
%{mingw64_libdir}/pkgconfig/gtk-vnc-2.0.pc
%{mingw64_includedir}/gtk-vnc-2.0

%files -n mingw64-gvnc-tools
%{mingw64_bindir}/gvnccapture.exe




%changelog
* Mon Jan 11 2021 daviddavid <daviddavid> 1.0.0-3.mga8
+ Revision: 1671058
- add conflicts to ease upgrade mga7->mga8

* Sat Feb 15 2020 umeabot <umeabot> 1.0.0-2.mga8
+ Revision: 1528462
- Mageia 8 Mass Rebuild

* Tue Aug 20 2019 daviddavid <daviddavid> 1.0.0-1.mga8
+ Revision: 1430684
- new version: 1.0.0

* Tue Jan 01 2019 daviddavid <daviddavid> 0.9.0-1.mga7
+ Revision: 1348186
- new version: 0.9.0

* Thu Sep 20 2018 umeabot <umeabot> 0.8.0-2.mga7
+ Revision: 1279761
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 daviddavid <daviddavid> 0.8.0-1.mga7
+ Revision: 1246812
- new version: 0.8.0

* Wed May 11 2016 tv <tv> 0.5.4-3.mga6
+ Revision: 1012915
- avoid segfault

* Thu Feb 18 2016 umeabot <umeabot> 0.5.4-2.mga6
+ Revision: 965616
- Mageia 6 Mass Rebuild

* Sat Jun 20 2015 ovitters <ovitters> 0.5.4-1.mga6
+ Revision: 836289
- new version 0.5.4

* Wed Oct 15 2014 umeabot <umeabot> 0.5.3-4.mga5
+ Revision: 745464
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.5.3-3.mga5
+ Revision: 682449
- Mageia 5 Mass Rebuild

* Sat Nov 09 2013 ovitters <ovitters> 0.5.3-2.mga4
+ Revision: 550188
- fix url

* Mon Oct 28 2013 neoclust <neoclust> 0.5.3-1.mga4
+ Revision: 547580
- imported package mingw-gtk-vnc


* Wed Sep 18 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.3-1
- Update to 0.5.3 release

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Fri Feb 22 2013 Daniel P. Berrange <berrange@redhat.com> - 0.5.2-1
- Update to 0.5.2 release

* Fri Feb  8 2013 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.1-3
- Rebuild against mingw-gnutls 3.1
- Added BR: mingw32-libgcrypt mingw64-libgcrypt
- Added BR: perl-podlators (for pod2man)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jul 12 2012 Daniel P. Berrange <berrange@redhat.com> - 0.5.1-1%%{?extra_release}
- Update to 0.5.1 release

* Sun Apr 22 2012 Marc-André Lureau <marcandre.lureau@redhat.com> - 0.5.0-7
- Ported to the mingw-w64 based packaging guidelines (rhbz #814997)
- Workaround out-of-tree build issue already fixed upstream

* Wed Mar 07 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.0-6
- Renamed the source package to mingw-gtk-vnc (RHBZ #800881)
- Use mingw macros without leading underscore

* Tue Feb 28 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.0-5
- Rebuild against the mingw-w64 toolchain

* Thu Feb 02 2012 Erik van Pienbroek <epienbro@fedoraproject.org> - 0.5.0-4
- Enable debuginfo subpackage
- Dropped unneeded RPM tags
- Dropped .la files
- Dropped the %%{?fedora} >= 15 conditionals

* Wed Feb 01 2012 Kalev Lember <kalevlember@gmail.com> - 0.5.0-3
- Rebuilt for libpng 1.5

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Dec 21 2011 Daniel P. Berrange <berrange@redhat.com> - 0.5.0-1
- Update to 0.5.0 release

* Thu Nov 10 2011 Daniel P. Berrange <berrange@redhat.com> - 0.4.4-1
- Update to 0.4.4 release

* Thu Jul 07 2011 Kalev Lember <kalevlember@gmail.com> - 0.4.1-4
- Rebuilt against win-iconv

* Thu Apr 28 2011 Kalev Lember <kalev@smartlink.ee> - 0.4.1-3
- Rebuilt for proxy-libintl removal

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 14 2010 Daniel P. Berrange <berrange@redhat.com> - 0.4.1-1
- Update to 0.4.1 release

* Sun Jul 11 2010 Daniel P. Berrange <berrange@redhat.com> - 0.4.0-1
- Update to 0.4.0 release
- Remove unsupported example program

* Sat Jul 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Fri Mar  6 2009 Daniel P. Berrange <berrange@redhat.com> - 0.3.8-5
- Fix relative mouse handling to avoid 'invisible wall'

* Wed Feb 25 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.3.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-3
- Downgrade mingw32-filesystem version so it can still build on F-10.

* Fri Feb  6 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-2
- Needs mingw32-filesystem with the pkg-config library path fix.
- Added optional BRs suggested by auto-buildrequires.
- Include the license file.

* Tue Feb  3 2009 Michel Salim <salimma@fedoraproject.org> - 0.3.8-1
- Update to 0.3.8

* Fri Jan 30 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.4.20081030hg
- Requires pkgconfig.

* Fri Jan 23 2009 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.3.20081030hg
- Use _smp_mflags.
- Disable static library.
- Rebuild libtool.

* Thu Oct 30 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.2.20081030hg
- Add Dan's fd/socket fix for Windows.

* Thu Oct 30 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.8-0.1.20081030hg
- Upgrade to current version in Mercurial (pre-release of 0.3.8).
- More MinGW patches.

* Fri Oct 10 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.7-3
- Missing BRs discovered by mock.
- Added description section.

* Thu Oct  9 2008 Richard W.M. Jones <rjones@redhat.com> - 0.3.7-2
- Initial RPM release.
